Documentation Get all documentations for an organization
GET
/control-plane/api/v1/v1/documentation/{organization_id}/list

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


Responses

200
OK

Example:

[
  {
    "audience": "public",
    "config": {
      "assistant": {
        "enabled": true,
        "floating": true
      },
      "favicon_url": "string",
      "footer": {
        "copyright": "string",
        "enabled": true,
        "links": [
          "..."
        ],
        "powered_by_gitdocai": true
      },
      "kb": {
        "enabled": true,
        "hero_description": "string",
        "hero_placeholder": "string",
        "hero_title": "string",
        "icon": "string",
        "name": "string",
        "popular_articles": [
          "..."
        ],
        "popular_title": "string",
        "search_suggestions": [
          "..."
        ],
        "show_categories": true
      },
      "navbar": [
        {
          "icon": "...",
          "label": "...",
          "style": "...",
          "url": "..."
        }
      ],
      "seo": {
        "default_description": "string",
        "default_og_image": "string",
        "google_analytics_id": "string",
        "site_title": "string",
        "title_template": "string"
      },
      "theme": {
        "dark": {
          "accent_color": "...",
          "bg_color": "...",
          "logo_url": "...",
          "text_color": "..."
        },
        "default": {},
        "font_family": "string",
        "heading_font": "string",
        "light": {
          "accent_color": "...",
          "bg_color": "...",
          "logo_url": "...",
          "text_color": "..."
        },
        "modes": [
          "..."
        ],
        "preset": {},
        "show_name": true
      }
    },
    "created_at": "string",
    "description": "string",
    "has_pending_changes": true,
    "id": "string",
    "name": "string",
    "organization_id": "string",
    "published_at": "string",
    "slug": "string"
  }
]
400
Bad Request

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}